package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class ApresiasiAtasLayananVO extends BaseTransactionVO {
	
	@ManyToOne
	@JoinColumn(name = "ObjectGambarMukaKepuasanFk")
	@NotNull(message="GambarMukaKepuasan tidak boleh kosong")
	@Caption(value="Gambar Muka Kepuasan")
	private GambarMukaKepuasanVO gambarMukaKepuasan;
	
	@Column(name = "tanggal", nullable = true)
	@Caption(value="tanggal")
	private Date tanggal;
	
	public GambarMukaKepuasanVO getGambarMukaKepuasan() {
		return gambarMukaKepuasan;
	}

	public void setGambarMukaKepuasan(GambarMukaKepuasanVO gambarMukaKepuasan) {
		this.gambarMukaKepuasan = gambarMukaKepuasan;
	}

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}
	
	
	
}
